<?php
add_action('init','of_options');

if (!function_exists('of_options')) {
function of_options(){

//Theme Shortname
$shortname = "mtn";
$adultwpthemesurl =  get_template_directory_uri() . '/admin/images/';	

//Populate the options array
global $tt_options;
$tt_options = get_option('of_options');


//Access the WordPress Pages via an Array
$tt_pages = array();
$tt_pages_obj = get_pages('sort_column=post_parent,menu_order');    
foreach ($tt_pages_obj as $tt_page) {
$tt_pages[$tt_page->ID] = $tt_page->post_name; }
$tt_pages_tmp = array_unshift($tt_pages, "Choose a Page:"); 


//Access the WordPress Categories via an Array
$tt_categories = array();  
$tt_categories_obj = get_categories('hide_empty=0');
foreach ($tt_categories_obj as $tt_cat) {
$tt_categories[$tt_cat->cat_ID] = $tt_cat->cat_name;}
$categories_tmp = array_unshift($tt_categories, "Choose a Category:");


//Sample Array for demo purposes
$sample_array = array("1","2","3","4","5");


//Sample Advanced Array - The actual value differs from what the user sees
$sample_advanced_array = array("image" => "The Image","post" => "The Post"); 


//Folder Paths for "type" => "images"
$sampleurl =  get_template_directory_uri() . '/cufon/';

/*-----------------------------------------------------------------------------------*/
/* Create The Custom Site Options Panel
/*-----------------------------------------------------------------------------------*/
$options = array(); // do not delete this line - sky will fall


/* Option Page 1 - All Options */	
$options[] = array( "name" => __('Header & Footer','adultwpthemes'),
			"type" => "heading");
	
$options[] = array( "name" => __('Site Logo','adultwpthemes'),
			"desc" => __('Select your custom logo and upload (173 x 51 Pixels).','adultwpthemes'),
			"id" => $shortname."_logo",
			"std" => "",
			"type" => "upload");

$options[] = array( "name" => __('Site Favicon','adultwpthemes'),
			"desc" => __('Select your png image  and upload.','adultwpthemes'),
			"id" => $shortname."_favicon",
			"std" => "",
			"type" => "upload");
											
$options[] = array( "name" => __('Google Analytics','adultwpthemes'),
			"desc" => __('Enter your Google Analytics Code.','adultwpthemes'),
			"id" => $shortname."_analtik",
			"std" => "",
			"type" => "textarea");

$options[] = array( "name" => __('Footer Text','adultwpthemes'),
			"desc" => __('','framework_localize'),
			"id" => $shortname."_cr",
			"std" => "",
			"type" => "textarea");
						
$options[] = array( "name" => __('Advertising','adultwpthemes'),
			"type" => "heading");	

$options[] = array( "name" => __('ADS BOTTOM - Spot-1 (300x250)','adultwpthemes'),
			"desc" => __('This ADS code appears on the bottom advertising place this is the first spot (300x250).','adultwpthemes'),
			"id" => $shortname."_spot1",
			"std" => "",
			"type" => "textarea");
$options[] = array( "name" => __('ADS BOTTOM - Spot-2 (300x250)','adultwpthemes'),
			"desc" => __('This ADS code appears on the bottom advertising place this is the Second spot (300x250).','adultwpthemes'),
			"id" => $shortname."_spot2",
			"std" => "",
			"type" => "textarea");

$options[] = array( "name" => __('ADS BOTTOM - Spot-3 (300x250)','adultwpthemes'),
			"desc" => __('This ADS code appears on the bottom advertising place this is the third (300x250).','adultwpthemes'),
			"id" => $shortname."_spot3",
			"std" => "",
			"type" => "textarea");

$options[] = array( "name" => __('ADS BOTTOM - Spot-4 (300x250)','adultwpthemes'),
			"desc" => __('This ADS code appears on the bottom advertising place this is the fourth spot (300x250).','adultwpthemes'),
			"id" => $shortname."_spot4",
			"std" => "",
			"type" => "textarea");
															
$options[] = array( "name" => __('Video Under Player ADS','adultwpthemes'),
			"desc" => __('This advertisement appears at the bottom of you video player,under the tags and categories list(max width: 720px).','adultwpthemes'),
			"id" => $shortname."_adsbottom",
			"std" => "",
			"type" => "textarea");
			
$options[] = array( "name" => __('Video Right ADS','adultwpthemes'),
			"desc" => __('This Advertiesement Appears on the right side of your video player,you can add 3 ads of 300x250 pixels.','adultwpthemes'),
			"id" => $shortname."_adsright",
			"std" => "",
			"type" => "textarea");		

$options[] = array( "name" => __('Style Settings','adultwpthemes'),
			"type" => "heading");			
						
$options[] = array( "name" => __('Accent','adultwpthemes'),
			"desc" => __('Choose an accent color for you theme.','adultwpthemes'),
			"id" => $shortname."_mcolor",
			"std" => "#A30505",
			"type" => "color");					
			
$options[] = array( "name" => __('Additional CSS','adultwpthemes'),
			"desc" => __('This is the place where you can put your additional stylesheet.','adultwpthemes'),
			"id" => $shortname."_stil",
			"std" => ".exampleclass {background: #303030; color: #C5C5C5;}",
			"type" => "textarea");	
			
$options[] = array( "name" => __('Layout Settings','adultwpthemes'),
			"type" => "heading");	
			
$options[] = array( "name" => __('Hide Advertisement Spots','adultwpthemes'),
			"desc" => __('Check the box to hide Advertisements block from the bottom.','adultwpthemes'),
			"id" => $shortname."_hspot",
			"std" => "false",
			"type" => "checkbox");				
						
$options[] = array( "name" => __('Hide Categories List from the bottom','adultwpthemes'),
			"desc" => __('Check the box to hide categories in columns from the footer.','adultwpthemes'),
			"id" => $shortname."_hcat",
			"std" => "false",
			"type" => "checkbox");	
			
$options[] = array( "name" => __('Hide Categories Menu From the General Sidebar','adultwpthemes'),
			"desc" => __('Check the box to hide categories menu from the general sidebar.','adultwpthemes'),
			"id" => $shortname."_hgeneral",
			"std" => "false",
			"type" => "checkbox");	
			
$options[] = array( "name" => __('Hide Categories Menu From the the single page sidebar','adultwpthemes'),
			"desc" => __('Check the box to hide categories menu from the single page sidebar.','adultwpthemes'),
			"id" => $shortname."_hsingle",
			"std" => "false",
			"type" => "checkbox");								
			
$options[] = array( "name" => __('Number of Videos','adultwpthemes'),
			"type" => "heading");	
			
$options[] = array( "name" => __('Number of Videos on index/homepage/Templates','adultwpthemes'),
			"desc" => __('Write here the number of videos to display in your homepage and templates','adultwpthemes'),
			"id" => $shortname."_vdnum",
			"std" => "36",
			"type" => "text");
			
$options[] = array( "name" => __('Number of Posts for Related Videos','adultwpthemes'),
			"desc" => __('Give a number for your related videos wich are visible under the single page','adultwpthemes'),
			"id" => $shortname."_rlnum",
			"std" => "25",
			"type" => "text");																																											

$options[] = array( "name" => __('Number of Pornstars to Display','adultwpthemes'),
			"desc" => __('Give a number for the models to display in pornstar list template','adultwpthemes'),
			"id" => $shortname."_snum",
			"std" => "45",
			"type" => "text");	
						
update_option('of_template',$options); 					  
update_option('of_themename',$themename);   
update_option('of_shortname',$shortname);

}
}
?>